<div ng-controller="FormularioInternoController">
  <div class="row">
    <div class="col-md-12">
      <div>
        <div class="row">
          <div class="col-md-6">
            <div class="form-group">
              <input type="text" class="form-control" ng-model="buscar" placeholder="Buscar pregunta">
            </div>
          </div>
          <div class="col-md-2">
            
          </div>
          <div class="col-md-4">
            <button ng-if="permisosHas('mantenimiento.registrar')" class="btn btn-success btn-rounded-10 btn-block btn-border" ng-click="clear();openModalSave($event)"  data-options="splash-2 splash-ef-14"><i class="fa fa-plus"></i> agregar pregunta</button>
          </div>
          <div class="col-md-12">
            <hr>
          </div>
        </div>

        <div class="row" ng-if="isLoading">
          <div class="col-md-12">
            <loading></loading>
          </div>
        </div>

        <div class="row" ng-if="!isLoading">
            <div class="col-md-12">
              <h5 class="text-right"><strong>CANTIDAD : {{preguntas.length}} PREGUNTAS</strong></h5>
            </div>
            <div class="col-md-12" ng-if="preguntas.length > 0">
              <div class="table-responsive">
                <table class="table table-hover">
                  <thead>
                    <tr>
                      <th class="text-center" ng-if="permisosHas('mantenimiento.eliminar') || permisosHas('mantenimiento.actualizar')">OPCIONES</th>
                      <th>PREGUNTA</th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr dir-paginate="pregunta in preguntas |filter: buscar | itemsPerPage: 10" pagination-id="pregunta.id">
                      <td ng-if="permisosHas('mantenimiento.eliminar') || permisosHas('mantenimiento.actualizar')" class="text-center">
                        <div class="input-group-btn">
                          <button ng-if="permisosHas('mantenimiento.actualizar')" class="btn btn-info btn-border btn-radius-left" ng-class="{'btn-radius-right' : !permisosHas('mantenimiento.eliminar')}" title="EDITAR PREGUNTA {{pregunta.titulo}}" data-options="splash-2 splash-ef-14" ng-click="load(pregunta);openModalSave($event)"><span class="fa fa-edit"></span></button>
                          <button ng-if="permisosHas('mantenimiento.eliminar')" class="btn btn-danger btn-border btn-radius-right" ng-class="{'btn-radius-left' : !permisosHas('mantenimiento.actualizar')}" title="ELIMINAR PREGUNTA {{pregunta.titulo}}" data-options="splash-2 splash-ef-14" ng-click="load(pregunta);openModalDelete($event)"><span class="fa fa-trash"></span></button>
                        </div>
                        <td>{{pregunta.titulo | uppercase}}</td>                            
                      </td>
                    </tr>
                  </tbody>
                </table>
              </div>
              <div class="text-center">
                <dir-pagination-controls pagination-id="pregunta.id"></dir-pagination-controls>
              </div>
            </div>
            <div class="col-md-12" ng-if="preguntas.length == 0">
              <p class="text-center">
                <i class="icon-info fa-4x"></i>
                <h5 class="text-center">no hay preguntas registradas...</h5>
              </p>
            </div>
        </div>

      </div>
    </div>
  </div>
  <script  type="text/ng-template" id="pregunta_modal.html">
    <div class="modal-header">
      <div class="text-center">
        <title-modal name="Pregunta"></title-modal>
      </div>            
    </div>
    <div class="modal-body">

      <form ng-submit="createEdit()">

        <div class="row">
          <div class="col-md-12">
            <div class="form-group">
              <label for="titulo">PREGUNTA<span class="obligatorio">*</span></label>
              <textarea class="form-control uppercase" name="titulo" ng-model="obj.titulo" placeholder="PREGUNTA" required> 
              </textarea>
            </div>
          </div>
        </div>

        <div class="form-group">
          <span class="obligatorio">*</span> Campos Obligatorios
        </div>
        
        <div class="text-center">
          <button-save ng-if="!httpRequest"></button-save>
          <button-spin ng-if="httpRequest"></button-spin>
          <button-cancel></button-cancel>
        </div>
      </form>
    </div>
  </script>
  <script  type="text/ng-template" id="pregunta_delete_modal.html">
    <div class="modal-body">

      <form ng-submit="delete()">
        <form-delete></form-delete>
      </form>
    </div>
  </script>
</div>